VendorDirectFulfillmentInventory#

class sp_api.api.VendorDirectFulfillmentInventory(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)#

VendorDirectFulfillmentInventory SP-API Client :link:

The Selling Partner API for Direct Fulfillment Inventory Updates provides programmatic access to a direct fulfillment vendor’s inventory updates.

submit_inventory_update(self, warehouseId, **kwargs) ApiResponse#

Submits inventory updates for the specified warehouse for either a partial or full feed of inventory items.

Usage Plan:

Rate (requests per second)

Burst

10

10

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

VendorDirectFulfillmentInventory().submit_inventory_update("value")
Parameters:
  • body – SubmitInventoryUpdateRequest | required The request body containing the inventory update data to submit.

  • warehouseId – object | required Identifier for the warehouse for which to update inventory.

Returns:

ApiResponse